@charset "UTF-8";

/* ====================================================
                    CSS変数の宣言
   ==================================================== */

:root {
    /*カラー*/
    --color-main: #4A7C7A;
    --color-base: #EDE8E2;
    --color-accent: #D4AF37;
    --color-text: #1F3332;
    --color-white: #FFFEFE;

    /*フォント*/
    --font-en: 'Kaushan Script', cursive;
    --font-jp: 'Klee One', sans-serif;
}

/* ====================================================
                    リセットと共通設定
   ==================================================== */

/*スムーススクロール*/
html {
    scroll-behavior: smooth;
}

/*リセット*/
body {
    margin: 0;
    padding: 0;
    background-color: var(--color-base);
    background-blend-mode: multiply;
    background-repeat: repeat;
    /*文字色・フォントのデフォルト設定*/
    color: var(--color-text);
    font-family: var(--font-jp);
    text-decoration: none;
    /*疑似要素の親にする*/
    position: relative;
}

/* bodyへの疑似要素で背景に画像を重ねる */
body::before {
    /*疑似要素必須セット*/
    content: "";
    position: absolute;
    /*位置を念のため調整*/
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    /*背景画像を繰り返して配置*/
    background-image: url(../img/texture-01.png);
    background-repeat: repeat;
    /*不透明度35％、ほかの要素の背面に置く*/
    opacity: 0.35;
    z-index: -3;
}

/*見出し、リストなどのフォント関係設定*/
h2,
h3,
ul {
    /*頭文字だけ大文字*/
    font-family: var(--font-en);
    text-transform: capitalize;
}

ul {
    /*リストスタイルのリセット*/
    list-style: none;
}

a {
    /*a要素だけ個別にリセット、文字色設定*/
    text-decoration: none;
    color: var(--color-text);
}

/* ====================================================
                    細かいカスタマイズ
   ==================================================== */

/*文字をマウスドラッグなどで選択したときの色のカスタマイズ*/
::selection {
    background: var(--color-accent);
    color: var(--color-text);
}

/*ブラウザスクロールバーをサイト全体とカラーを合わせてなじませる（Chrome/Edge/Safari）*/
::-webkit-scrollbar {
    /*バーの太さ*/
    width: 10px;
}

/*スクロールバーのベース（背景部分）*/
::-webkit-scrollbar-track {
    /*色変え*/
    background: var(--color-base);
}

/*スクロールバーのハンドル（動く部分）*/
::-webkit-scrollbar-thumb {
    /*丸くして色変え*/
    background-color: var(--color-main);
    border-radius: 5px;
    border: 2px solid var(--color-base);
}

/*画像にマウスオーバーしたときにふんわりズームするやつ*/
/*親要素にoverflow:hiddenを設定*/
#about .profilevisual {
    overflow: hidden;
}

/*装飾を消したくないところはoverflow:visibleにする*/
#firstview .fvvisual {
    overflow: visible;
}

/*画像自体にトランジション設定*/
.fvimg,
#about .profilevisual img {
    transition: transform 1s ease;
}

/*マウスホバー時のアニメーション*/
#firstview .fvvisual:hover .fvimg,
#about .profilevisual:hover img {
    transform: scale(1.03);
}

/*サイト自体のスクロールフェードイン*/
/*共通（最初は隠す）*/
.fade-in,
.fade-fv {
    opacity: 0;
    /*30px下に沈めておいて、0.8秒かけてゆっくり表示する*/
    transform: translateY(30px);
    transition: all 0.8s ease;
}

/*表示時の状態*/
.fade-in.active,
.fade-fv.active {
    opacity: 1;
    /*元の位置に戻す*/
    transform: translateY(0);
}

/*遅延表示用のクラス*/
.delay-02 {
    /*0.2秒遅れて出てくる*/
    transition-delay: 0.2s;
}

.delay-04 {
    /*0.4秒遅れて出てくる*/
    transition-delay: 0.4s;
}

.delay-06 {
    /*0.6秒遅れて出てくる*/
    transition-delay: 0.6s;
}

/* ====================================================
                    ローディング画面
   ==================================================== */
/*画像の動きの設定（小刻みに揺れる）*/
@keyframes shake {
    0% {
        transform: rotate(0deg);
    }

    25% {
        transform: rotate(3deg);
    }

    50% {
        transform: rotate(0deg);
    }

    75% {
        transform: rotate(-3deg);
    }

    100% {
        transform: rotate(0deg);
    }

}

/*ローディング画面自体の設定*/
#loading {
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    background-color: var(--color-base);
    /*最前面に出す*/
    z-index: 9999;
    transition: opacity 0.5s ease;
}

/*読み込み完了後にJSでクラスをつけて消す*/
#loading.loaded {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}

.logobox {
    max-width: 900px;
    text-align: center;
}

.logobox img {
    animation: shake 0.25s linear 2;
}

/* ====================================================
                    PC版CSS（ベース）
   ==================================================== */

/*スマホ版用なので表示しないもの*/
.hamburger,
.sm-nav {
    display: none;
}

/*　----
    ヘッダー部分
            ----　*/
header {
    margin: 0 auto;
    padding-top: 20px;
    padding-left: 5px;
    width: 100%;
    max-width: 1024px;
    /*paddingを含めた幅計算とする*/
    box-sizing: border-box;
}

header img {
    width: 100%;
    object-fit: cover;
}

header a {
    display: block;
    width: 40px;
}

/*全体を包むラッパー*/
.wrapper {
    margin: 0 auto;
    max-width: 1024px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

/*　----
    ファーストビュー
                ----　*/
#firstview {
    /*装飾を表示するための余白*/
    padding-bottom: 30px;
    /*h1の位置調整のための親要素にする*/
    position: relative;
    /*余計な横スクロールを出さないようにおまじないで入れておくoverflow*/
    overflow-x: hidden;
}

#firstview .fvvisual {
    /*疑似要素で装飾するため、左のスペース確保
    （下のスペースは#firstviewのpaddingで確保済み）*/
    margin-left: 40px;
    /*幅は全体よりちょっと小さく、高さは固定*/
    width: 95%;
    height: 560px;
    /*疑似要素の親*/
    position: relative;
}

/*疑似要素で下敷きの装飾*/
#firstview .fvvisual::after {
    content: "";
    position: absolute;
    /*左下に20pxずらして表示*/
    top: 20px;
    left: -20px;
    width: 100%;
    height: 100%;
    /*.fvimgの裏側に表示*/
    z-index: 0;
    background-color: var(--color-main);
    /*影もつけちゃう*/
    box-shadow: -6px 6px 10px rgba(0, 0, 0, 0.35);
}

#firstview .fvwrap {
    width: 100%;
    height: 100%;
    /*画像だけを切り取って選ぶためのoverflow*/
    overflow: hidden;
    position: relative;
    z-index: 1;
}

#firstview .fvimg {
    width: 100%;
    height: 100%;
    /*トリミングの基準点を変更*/
    object-fit: cover;
    object-position: center bottom;
    display: block;
    position: relative;
    z-index: 1;
}

#firstview h1 {
    /*位置調整*/
    position: absolute;
    right: 2%;
    bottom: 10%;
    z-index: 2;
    /*疑似要素と縦並びにする*/
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.subtitle {
    /*位置の微調整*/
    margin-top: -15px;
    margin-right: 18px;
    font-family: var(--font-jp);
    font-size: 14px;
    color: var(--color-text);
}

.subtitle-accent {
    /*スラッシュの左右にちょっとだけ空白*/
    margin: 0 4px;
}

/*画像に重なって文字色が見づらい部分だけ変更*/
.subtitle-another {
    color: var(--color-base);
}

/*　----
    PC版メニュー
            ----　*/
.menu {
    margin-top: 40px;
    /*横幅はwrapperいっぱい、縦は100px*/
    width: 100%;
    height: 100px;
}

.menu ul {
    /*おまじないで余分な余白を消す*/
    margin: 0;
    padding: 0;
    height: 100%;
    /*リストの中身は横並び、等間隔にする*/
    display: flex;
    justify-content: space-around;
    background-color: var(--color-main);
}

.menu li {
    /*メニュー項目ごとの幅を設定*/
    width: 230px;
    height: 100%;
    /*装飾のために親要素化する*/
    position: relative;
    /*アニメーション用のトランジション*/
    transition: all 0.3s ease;
}

/*疑似要素を追加して囲みの装飾を入れる*/
.menu li::after {
    content: "";
    position: absolute;
    top: 8px;
    right: 8px;
    bottom: 8px;
    left: 8px;
    border: 1px solid var(--color-base);
    /*クリック判定無効（リンクの当たり判定が疑似要素を貫通する）*/
    pointer-events: none;
    /*アニメーション用のトランジション*/
    transition: border-color 0.3s ease;
}

.menu a {
    /*li要素いっぱいにリンク判定を広げる*/
    width: 100%;
    height: 100%;
    /*上下左右中央寄せ*/
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: var(--font-en);
    font-size: 20px;
    color: var(--color-base);
    /*アニメーション用のトランジション*/
    transition: color 0.3s ease;
}

/*マウスホバー時のアニメーション*/
/*li要素の動き（色変え・浮き上がり）*/
.menu li:hover {
    background-color: var(--color-accent);
    /*上に5px分浮かして影を表示*/
    transform: translateY(-5px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.3);
}

/*疑似要素の動き（枠線の色変え）*/
.menu li:hover::after {
    border-color: var(--color-text);
}

/*a要素の動き（色変え）*/
.menu li:hover a {
    color: var(--color-text);
}

/*　----
    プロフィール・バイオグラフィ（aboutパート）
                                        ----　*/
#about {
    margin-top: 100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /*疑似要素の親*/
    position: relative;
    z-index: 0;
}

/*パート区切りのための線の装飾*/
#about::before {
    content: "";
    position: absolute;
    /*位置調整*/
    top: -40px;
    left: 40px;
    /*線の端を丸くしたいのでめちゃ細な長方形を作り、角を丸める
    幅は100%を参照して調整*/
    width: calc(100% - 80px);
    height: 3px;
    border-radius: 3px;
    background-color: var(--color-accent);
}

/*.sectiontitle（以降共通）*/
.sectiontitle {
    width: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    /*疑似要素の親*/
    position: relative;
    z-index: 0;
}

/*.sectiontitleの装飾（以降共通）*/
.sectiontitle::after {
    content: "";
    position: absolute;
    bottom: 5px;
    left: 50%;
    /*中央揃えしながら-2deg回転させる*/
    transform: translateX(-50%) rotate(-2deg);
    width: 120%;
    height: 12px;
    background-color: var(--color-main);
    /*角を不規則に丸める*/
    border-radius: 3% 4% 3% 5% / 2% 85% 3% 5%;
    opacity: 0.75;
    mix-blend-mode: multiply;
    pointer-events: none;
}

#about .profile {
    margin-top: 40px;
    width: 550px;
    height: 550px;
    justify-content: center;
    align-items: center;
    background-image: url(../img/texture-02.jpg);
    /*疑似要素の親にする*/
    position: relative;
}

/*疑似要素で不透明度を下げた色をのせる*/
#about .profile::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--color-base);
    background-blend-mode: lighten;
    opacity: 0.05;
    z-index: -1;
}

#about .profilevisual {
    padding: 50px 0 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

#about .profiletext {
    margin: 40px 15px 0;
    padding: 18px 8%;
    text-align: justify;
    position: relative;
    font-size: 14px;
    font-weight: 400;
    z-index: 2;
}

/*疑似要素で枠線のあしらいを追加（黄色）*/
#about .profiletext::before {
    content: "";
    position: absolute;
    top: 0;
    right: 5%;
    bottom: 0;
    left: 5%;
    border: 2px solid var(--color-accent);
    background-color: rgba(237, 232, 226, 0.45);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

/*枠線のあしらいの２つ目を追加（白）*/
#about .profiletext::after {
    content: "";
    position: absolute;
    top: -10px;
    right: 7%;
    bottom: -10px;
    left: 7%;
    border: 2px solid var(--color-base);
    background-color: rgba(237, 232, 226, 0.4);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

#about .profiletext::before,
#about .profiletext::after {
    z-index: -1;
}

#about .profilelink {
    width: 160px;
    height: 40px;
    /*-2deg傾けて『ラベルが貼ってある感』を出す*/
    transform: rotate(-2deg);
    position: absolute;
    right: 13%;
    bottom: 7%;
    z-index: 3;
    background-color: var(--color-main);
    /*アクセントカラーで細い枠線を入れる*/
    border: 1px solid var(--color-accent);
    /*影を入れて貼ってある感を出す*/
    box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.4);
    /*アニメーション用のトランジション*/
    transition: all 0.3s ease;
}

/*アクセントカラーで細い下線の装飾を追加*/
#about .profilelink::after {
    content: "";
    position: absolute;
    bottom: 6px;
    left: 50%;
    transform: translateX(-50%) rotate(-1deg);
    width: 70%;
    height: 1px;
    background-color: var(--color-accent);
    opacity: 0.8;
    pointer-events: none;
    /*アニメーション用のトランジション*/
    transition: all 0.3s ease;
}

#about .profilelink a {
    padding-top: 9px;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--color-base);
    font-family: var(--font-en);
    line-height: 1;
}

/*マウスホバー時のアニメーション*/
/*li要素の動き（色変え・浮き上がり）*/
#about .profilelink:hover {
    background-color: var(--color-accent);
    border-color: var(--color-accent);
    /*上に5px分浮かして影を表示*/
    transform: translateY(-5px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.3);
}

/*あしらいの動き（色変え）*/
#about .profilelink:hover::after {
    background-color: var(--color-text);
    width: 80%;
}

/*a要素の動き（色変え）*/
#about .profilelink:hover a {
    color: var(--color-text);
}

/*　----
    各コンテンツへの分岐（Contentsパート）
                                    ----　*/
#contents {
    margin-top: 100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /*疑似要素の親にする*/
    position: relative;
    z-index: 0;
}

/*パート区切りのための線の装飾*/
#contents::before {
    content: "";
    position: absolute;
    /*位置調整*/
    top: -40px;
    left: 40px;
    /*線の端を丸くしたいのでめちゃ細な長方形を作り、角を丸める
    幅は100%を参照して調整*/
    width: calc(100% - 80px);
    height: 3px;
    border-radius: 3px;
    background-color: var(--color-accent);
}

#contents .contentsgrid {
    margin-top: 40px;
    gap: 45px;
    padding: 45px;
    display: grid;
    grid-template-columns: 260px 260px 260px;
    grid-template-rows: 440px;
    justify-content: center;
    background-image: url(../img/texture-02.jpg);
}

#contents .contentsbox {
    padding: 30px 20px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    background-color: var(--color-main);
    color: var(--color-base);
    /*疑似要素の親*/
    position: relative;
}

#contents .contentsbox h3 {
    margin-bottom: 40px;
    margin-left: -10px;
    padding: 8px 5px;
    width: calc(100% + 20px);
    text-align: center;
    /*ラベル風装飾のベース色*/
    background-color: var(--color-base);
    color: var(--color-text);
    font-size: 20px;
    letter-spacing: 0.1em;
    /*ラベルっぽくするための影*/
    box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.3);
}

#contents .contentsbox h3 span {
    /*疑似要素の親*/
    position: relative;
    display: inline-block;
    z-index: 1;
}

#contents .contentsbox h3 span::after {
    content: "";
    position: absolute;
    bottom: 5px;
    left: 50%;
    /*中央揃えしながら-2deg回転させる*/
    transform: translateX(-50%) rotate(-2deg);
    width: 110%;
    height: 12px;
    background-color: var(--color-accent);
    /*角を不規則に丸める*/
    border-radius: 3% 4% 3% 5% / 2% 85% 3% 5%;
    opacity: 0.75;
    mix-blend-mode: multiply;
    pointer-events: none;
    z-index: -1;
}


#contents .contentsbox p {
    margin-bottom: 45px;
    text-align: justify;
    font-size: 14px;
    letter-spacing: -0.12em;
    line-height: 1.6;
}

#contents .contentsbox p:last-child {
    /*親要素のjustify-contentと、ここのmargin-top:autoの合わせ技で一番下へ押しやる*/
    margin-top: auto;
}

#contents .contentsbox a {
    margin: 10px auto 5px;
    width: 200px;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--color-main);
    color: var(--color-base);
    font-family: var(--font-jp);
    font-size: 16px;
    font-weight: 600;
    letter-spacing: -0.1em;
    text-decoration: none;
    border: 1px solid var(--color-accent);
    transform: rotate(2deg);
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    /*アニメーション用のトランジション*/
    transition: all 0.3s ease;
}

/*アクセントカラーで細い下線の装飾を追加*/
#contents .contentsbox a::after {
    content: "";
    position: absolute;
    bottom: 7px;
    left: 50%;
    transform: translateX(-50%) rotate(-1deg);
    width: 70%;
    height: 2%;
    background-color: var(--color-accent);
    opacity: 0.8;
    pointer-events: none;
    /*アニメーション用のトランジション*/
    transition: all 0.3s ease;
}

#contents .contentsbox:hover a {
    background-color: var(--color-accent);
    color: var(--color-text);
    letter-spacing: 0.03em;
    border-color: var(--color-accent);
    transform: rotate(0deg) scale(1.05);
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.3);
}

/*あしらいの動き（色変え）*/
#contents .contentsbox:hover a::after {
    background-color: var(--color-text);
    width: 80%;
}


/*　----
    お問い合わせ部分
                ----　*/
#contact {
    margin: 100px 0 60px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /*疑似要素の親*/
    position: relative;
    z-index: 0;
}

/*パート区切りのための線の装飾*/
#contact::before {
    content: "";
    position: absolute;
    /*位置調整*/
    top: -40px;
    left: 40px;
    /*線の端を丸くしたいのでめちゃ細な長方形を作り、角を丸める
    幅は100%を参照して調整*/
    width: calc(100% - 80px);
    height: 3px;
    border-radius: 3px;
    background-color: var(--color-accent);
}

#contact .contacttext {
    margin-top: 40px;
    padding: 30px 60px;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#contact .contacttext p {
    margin-bottom: 20px;
    line-height: 1.8;
}

#contact .contacttext .mailaddress a {
    color: var(--color-text);
    font-family: var(--font-jp);
    font-size: 16px;
    text-decoration: underline;
    transition: color 0.3s ease;
}

#contact .contacttext .mailaddress a:hover {
    color: var(--color-accent);
    text-decoration: none;
}

/*送信ボタンのデザイン*/
#contact .contacttext .mailbtn {
    margin: 40px auto 0;
    width: auto;
    height: auto;
    background-color: transparent;
}

#contact .contacttext .mailbtn a {
    margin: 10px auto 5px;
    width: 200px;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--color-main);
    color: var(--color-base);
    font-family: var(--font-en);
    font-size: 16px;
    letter-spacing: -0.05em;
    text-decoration: none;
    border: 1px solid var(--color-accent);
    transform: rotate(-2deg);
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    /*アニメーション用のトランジション*/
    transition: all 0.3s ease;
}

/*アクセントカラーで細い下線の装飾を追加*/
#contact .contacttext .mailbtn a::after {
    content: "";
    position: absolute;
    bottom: 7px;
    left: 50%;
    transform: translateX(-50%) rotate(-1deg);
    width: 70%;
    height: 2%;
    background-color: var(--color-accent);
    opacity: 0.8;
    pointer-events: none;
    /*アニメーション用のトランジション*/
    transition: all 0.3s ease;
}


/*マウスホバー時のアニメーション（浮き上がり・色変え） */
#contact .contacttext .mailbtn a:hover {
    background-color: var(--color-accent);
    color: var(--color-text);
    border-color: var(--color-accent);
    transform: rotate(0deg) scale(1.05);
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.3);
}

/*あしらいの動き（色変え）*/
#contact .contacttext .mailbtn a:hover::after {
    background-color: var(--color-text);
    width: 80%;
}

/*　----
    フッター部分
            ----　*/

footer {
    padding: 20px 0 85px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: var(--color-main);
    font-size: 12px;
    text-align: center;
    /*ページトップへ戻るボタンの親*/
    position: relative;
}

/*ページトップへ戻るボタン*/
.page-top {
    position: fixed;
    right: 40px;
    bottom: 20px;
    width: 50px;
    height: 50px;
    background-color: var(--color-accent);
    transform: rotate(45deg);
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.2);
    /*アニメーション用のトランジション*/
    transition: all 0.3s ease;
    /*すべての要素の上に表示*/
    z-index: 10;
}

/*戻るボタンにつける矢印アイコン*/
/*矢印の軸*/
.page-top::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, 0) rotate(-45deg);
    transform-origin: top center;
    width: 1.5px;
    /* 最初は高さを0にして隠しておく */
    height: 0;
    /*上端（矢印の根元）を基準に下へ伸ばす*/
    background-color: var(--color-text);
    /*アニメーション用のトランジション*/
    transition: all 0.3s ease;
    z-index: 0;
}

/*矢印の頭*/
.page-top::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-40%, -40%);
    width: 15px;
    height: 15px;
    border-top: 2px solid var(--color-text);
    border-left: 2px solid var(--color-text);
    z-index: 1;
}

/*マウスホバー時のボタンそのもののアニメーション（少し上跳ね）*/
.page-top:hover {
    background-color: var(--color-base);
    bottom: 40px;
}

/*マウスホバー時に矢印の軸（縦線）を伸ばす*/
.page-top:hover::before {
    height: 14px;
}

footer p {
    color: var(--color-white);
    font-weight: 400;
}

footer p:nth-of-type(2) {
    color: var(--color-base);
    font-weight: 100;
    opacity: 0.8;
}

footer img {
    height: 50px;
    object-fit: contain;
    margin: 20px auto;
    padding: 5px;
    background-color: var(--color-base);
    border: 1px solid var(--color-accent);
}

/* ====================================================
               スマホ・タブレット縦（768px以下）
   ==================================================== */

@media screen and (max-width: 768px) {

    /*　----
        共通部分
            ----　*/

    /*全体の幅設定*/
    .wrapper {
        margin-top: 15px;
        padding: 0 15px;
    }

    /*各パートタイトルのフォントサイズを小さくする*/
    .sectiontitle {
        font-size: 20px;
    }

    /*ヘッダー*/
    header {
        padding-left: 15px;
    }

    /*　----
        ハンバーガーメニュー
                        ----　*/
    /*PC版メニューを隠す*/
    .menu {
        display: none;
    }

    .hamburger {
        display: block;
    }

    /*ハンバーガーメニューのボタン（表示）部分*/
    /*ボタンベース*/
    .hamburger {
        width: 50px;
        height: 50px;
        /*position:fixedでスクロールしてもついてくる*/
        position: fixed;
        top: 20px;
        right: 20px;
        display: block;
        background-color: var(--color-main);
        border: 1px solid var(--color-accent);
        z-index: 100;
        cursor: pointer;
    }

    /*ボタンの中の3本線部分*/
    .hamburger span {
        width: 30px;
        height: 2px;
        position: absolute;
        left: 10px;
        background-color: var(--color-base);
        transition: all 0.3s;
    }

    /*それぞれの線の縦位置*/
    .hamburger span:nth-of-type(1) {
        top: 15px;
    }

    .hamburger span:nth-of-type(2) {
        top: 24px;
    }

    .hamburger span:nth-of-type(3) {
        top: 33px;
    }

    /*アクティブ（開いた）時、交差して×ボタンになるアニメーション*/
    /*上下2本が回転、真ん中の線だけ消す*/
    .hamburger.active span:nth-of-type(1) {
        top: 24px;
        transform: rotate(45deg);
    }

    .hamburger.active span:nth-of-type(2) {
        opacity: 0;
    }

    .hamburger.active span:nth-of-type(3) {
        top: 24px;
        transform: rotate(-45deg);
    }

    /*スマホ版メニュー（activeで開いたら全画面表示になる）*/
    .sm-nav {
        width: 100%;
        height: 100vh;
        position: fixed;
        top: 0;
        left: 0;
        display: block;
        background-color: var(--color-main);
        z-index: 90;
        opacity: 0;
        /*visibilityで『要素はあるけど見えない』状態にする
        （display: none だとアニメーションしない！）
        （opacity: 0 だけだと「透明な壁」が残り、クリックなどのUXに支障が出る！）*/
        visibility: hidden;
        transition: all 0.3s;
    }

    /*activeで開いたときに表示*/
    .sm-nav.active {
        opacity: 1;
        visibility: visible;
    }

    /*メニューの中身*/
    .sm-nav ul {
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 30px;
    }

    .sm-nav li {
        width: auto;
    }

    .sm-nav a {
        display: inline-block;
        white-space: nowrap;
        font-family: var(--font-en);
        font-size: 24px;
        color: var(--color-base);
        position: relative;
    }

    /*タップすると伸びてくる装飾線*/
    .sm-nav a::after {
        content: "";
        position: absolute;
        bottom: -5px;
        left: 50%;
        transform: translateX(-50%);
        width: 0;
        height: 1px;
        background: var(--color-accent);
        transition: width 0.3s;
    }

    /*スマホ版メニューでテキストをクリックした際のガタつき防止*/
    .sm-nav a:hover,
    .sm-nav a:active {
        font-weight: 400;
    }

    .sm-nav a:hover::after {
        width: 100%;
    }

    /*　----
        ファーストビュー
                    ----　*/
    #firstview {
        padding-bottom: 50px;
    }

    /*FV画像のサイズ調整*/
    #firstview .fvvisual {
        margin-left: 20px;
        /*横スクロール防止のために画像の幅はcalcで計算
        高さはvhで指定してしまうと縦長になってしまうため、autoにしたうえでaspect-ratioでアス比を横長に固定
        min-heightを設定*/
        width: calc(100% - 20px);
        height: auto;
        aspect-ratio: 4 / 3;
    }

    /*下敷き装飾の位置調整*/
    #firstview .fvvisual::after {
        top: 10px;
        left: -10px;
    }

    #firstview .fvimg {
        /*画像の基準点の位置を左下に変更*/
        object-position: left bottom;
    }

    /*h1要素の調整*/
    #firstview h1 {
        right: 15px;
        bottom: 50px;
        width: 100%;
        align-items: flex-end;
    }

    /*タイトル画像部分の調整*/
    .fvtitle {
        width: 80%;
        max-width: 300px;
        height: auto;
    }

    /*サブタイトル部分の調整*/
    .subtitle {
        /*位置調整*/
        margin-top: -15px;
        margin-right: 5px;
        /*フォント調整*/
        font-size: 12px;
        line-height: 1.6;
        text-align: right;
        /*テキスト内でスペースにしてある部分の調整
        （white-space:normalにすると、連続した改行や半角スペースは1つの空白にまとめられる）*/
        white-space: normal;
    }

    /*スラッシュ周辺の調整*/
    .subtitle-accent {
        margin: 0 2px;
    }

    /*画像内で暗い箇所に被らなくなったので文字色を変えない*/
    .subtitle-another {
        color: var(--color-text);
    }

    /*　----
        プロフィール・バイオグラフィ（aboutパート）
                                        ----　*/
    /*パート間のmarginと区切り装飾の位置調整*/
    #about {
        /*#firstviewのpaddingと合わせて、ほかのパートと同じくらいの間隔になるよう調整
        （影のぶん若干広めだとキレイになった）*/
        margin-top: 20px;
    }

    #about::before {
        width: 90%;
        top: -30px;
        left: 50%;
        transform: translateX(-50%);
    }

    /*メインの調整*/
    #about .profile {
        /*余白の調整*/
        padding: 0 15px 80px;
        width: 100%;
        height: auto;
        /*ボックスの形が変わってもテクスチャが崩れないように調整*/
        background-size: cover;
        background-position: center;
    }

    #about .profilevisual img {
        width: 80%;
        height: auto;
    }

    #about .profiletext {
        margin: 10px 0 0;
        padding: 20px 15px;
        width: 100%;
        /*影と背景色の調整*/
        box-shadow: none;
        /* background-color: transparent; */
    }

    /*装飾（白）の調整*/
    #about .profiletext::before {
        left: 0;
        right: 0;
        border-width: 1px;
    }

    /*装飾（黄）の調整*/
    #about .profiletext::after {
        left: -5px;
        right: -5px;
        border-width: 1px;
    }

    /*リンクボタンの調整*/
    #about .profilelink {
        right: 50%;
        bottom: 15px;
        transform: translateX(50%) rotate(-2deg);
    }

    /*ホバー（タップ）時の動き*/
    #about .profilelink:hover {
        /* 中央揃えを維持したまま動かす */
        transform: translateX(50%) translateY(-5px) rotate(0deg);
    }

    /*　----
             各コンテンツ閲覧ページへの分岐（Contentsパート）
                                                        ----　*/

    /*パート間のmarginと区切り装飾の位置調整*/
    #contents {
        margin-top: 60px;
    }

    #contents::before {
        width: 90%;
        top: -30px;
        left: 50%;
        transform: translateX(-50%);
    }

    /*グリッド部分を一列にして幅を調整*/
    #contents .contentsgrid {
        display: block;
        padding: 20px;
        background-size: cover;
        background-position: center top;
    }

    /*各コンテンツのボックスサイズ調整*/
    #contents .contentsbox {
        margin-bottom: 30px;
        width: 100%;
        /*幅のリミットを設定*/
        max-width: 450px;
        /*幅のリミットが効いた時に、画面の中央に揃える*/
        margin-left: auto;
        margin-right: auto;
    }

    #contents .contentsbox:last-child {
        margin-bottom: 0;
    }

    /**/
    #contents .contentsbox h3 {
        margin-bottom: 30px;
        width: calc(100% + 20px);
    }

    #contents .contentsbox p {
        margin-bottom: 30px;
        text-align: left;
        font-size: 14px;
        letter-spacing: 0.05em;
        line-height: 1.8;
    }


    #contents .contentsbox a {
        height: 44px;
    }

    /*　----
       お問い合わせ部分
                ----　*/
    #contact {
        margin: 60px 0 60px;
    }

    #contact::before {
        width: 90%;
        top: -30px;
        left: 50%;
        transform: translateX(-50%);
    }

    #contact .contacttext {
        margin-top: 30px;
        padding: 0 20px;
    }

    #contact .contacttext p {
        width: 100%;
        font-size: 14px;
        line-height: 1.8;
    }

    .contacttext .mailaddress {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .contacttext .mailaddress a {
        font-size: 14px;
        /*メールアドレスが画面外にはみ出さないように強制改行*/
        word-break: break-all;
    }

    .contacttext .mailbtn {
        max-width: 100%;
    }

    /*　----
        フッター部分
                ----　*/
    footer {
        padding: 20px 0 40px;
    }

    /*ページトップへ戻る矢印ボタンのサイズ調整*/
    .page-top {
        width: 40px;
        height: 40px;
    }

    .page-top::after {
        width: 12px;
        height: 12px;
    }

    .page-top:hover::before {
        height: 10px;
    }

    /*文字部分のサイズ調整*/
    footer p {
        font-size: 10px;
    }

    /*ロゴ画像部分のサイズ調整*/
    footer img {
        height: 40px;
        margin: 15px auto;
    }

}